Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QInelastic.hh	(revision 1337)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QInelastic.hh,v 1.1 2009/11/17 10:36:54 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4QInelastic.hh,v 1.2 2010/06/25 09:46:03 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QInelastic header ----------------
@@ -65,6 +65,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// *********** This HEADER is a property of the CHIPS physics package (M. Kosov) **********
-// ******* DO NOT MAKE ANY CHANGE YOURSELF! Send proposals to Mikhail.Kossov@cern.ch ******
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: This is a universal class for the incoherent (inelastic)
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QIonIonElastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QIonIonElastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QIonIonElastic.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QIonIonElastic.hh,v 1.2 2010/01/14 11:24:36 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QIonIonElastic header ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QLowEnergy.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QLowEnergy.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QLowEnergy.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QLowEnergy.hh,v 1.2 2010/01/14 11:24:36 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QLowEnergy header ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QPDGToG4Particle.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QPDGToG4Particle.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QPDGToG4Particle.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QPDGToG4Particle.hh,v 1.1 2009/11/17 10:36:54 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QPDGToG4Particle header ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QSynchRad.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QSynchRad.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QSynchRad.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QSynchRad.hh,v 1.1 2009/11/17 10:36:54 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Created by Mikhail Kosov 6-Nov-2009
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QAtomicElectronScattering.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QAtomicElectronScattering.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QAtomicElectronScattering.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QAtomicElectronScattering.cc,v 1.1 2009/11/17 10:36:54 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QAtomicElectronScattering class -----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QCaptureAtRest.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QCaptureAtRest.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QCaptureAtRest.cc	(revision 1337)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QCaptureAtRest.cc,v 1.1 2009/11/17 10:36:55 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4QCaptureAtRest.cc,v 1.2 2010/06/25 09:46:05 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QCaptureAtRest class -----------------
@@ -32,6 +32,5 @@
 // ---------------------------------------------------------------
 // ****************************************************************************************
-// *********** This HEADER is a property of the CHIPS physics package (M. Kosov) **********
-// ******* DO NOT MAKE ANY CHANGE YOURSELF! Send proposals to Mikhail.Kossov@cern.ch ******
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short Description: This is a universal process for nuclear capture
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QCoherentChargeExchange.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QCoherentChargeExchange.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QCoherentChargeExchange.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QCoherentChargeExchange.cc,v 1.2 2010/01/14 11:24:36 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QCoherentChargeExchange class -----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QDiffraction.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QDiffraction.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QDiffraction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QDiffraction.cc,v 1.1 2009/11/17 10:36:55 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QDiffraction class -----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QDiscProcessMixer.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QDiscProcessMixer.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QDiscProcessMixer.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QDiscProcessMixer.cc,v 1.1 2009/11/17 10:36:55 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QDiscProcessMixer class -------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QElastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QElastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QElastic.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QElastic.cc,v 1.9 2010/06/08 11:25:09 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QElastic class -----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QInelastic.cc	(revision 1337)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QInelastic.cc,v 1.8 2010/06/09 12:56:01 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// $Id: G4QInelastic.cc,v 1.10 2010/06/25 09:46:07 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QInelastic class -----------------
@@ -32,6 +32,5 @@
 // ---------------------------------------------------------------
 // ****************************************************************************************
-// *********** This HEADER is a property of the CHIPS physics package (M. Kosov) **********
-// ******* DO NOT MAKE ANY CHANGE YOURSELF! Send proposals to Mikhail.Kossov@cern.ch ******
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: This is a universal class for the incoherent (inelastic)
@@ -74,5 +73,5 @@
 G4double G4QInelastic::freeDib=.05;      // Percentage of free diBaryons on the surface
 G4double G4QInelastic::clustProb=5.;     // Nuclear clusterization parameter
-G4double G4QInelastic::mediRatio=10.;    // medium/vacuum hadronization ratio
+G4double G4QInelastic::mediRatio=1.;    // medium/vacuum hadronization ratio
 G4int    G4QInelastic::nPartCWorld=152;  // The#of particles initialized in CHIPS World
 G4double G4QInelastic::SolidAngle=0.5;   // Part of Solid Angle to capture (@@A-dep.)
@@ -232,5 +231,5 @@
     pPDG=3122;
   }
-  else if(pZ > 0 && pA > 1) // Ions (not implemented yet (should not be used)
+  else if(pZ > 0 && pA > 1) // Ions (not implemented yet, should not be used)
   {
     G4cout<<"-Warning-G4QInelastic::GetMeanFreePath: G4QInelastic called for ions"<<G4endl;
@@ -596,4 +595,5 @@
   //static const G4double nuD = mPPi;         // Multiperipheral threshold
   //static const G4double nuD2= mPPi2;
+  static const G4LorentzVector vacuum4M(0.,0.,0.,0.);
   //-------------------------------------------------------------------------------------
   static G4bool CWinit = true;              // CHIPS Warld needs to be initted
@@ -747,4 +747,18 @@
   G4cout<<"G4QInelastic::PostStepDoIt: Z="<<Z<<", j="<<i<<", N(isotope)="<<N<<G4endl;
 #endif
+  G4double kinEnergy= projHadron->GetKineticEnergy();
+  G4ParticleMomentum dir = projHadron->GetMomentumDirection();
+  if(projPDG==22 && Z==1 && !N && Momentum<150.)
+  {
+#ifdef debug
+    G4cerr<<"---LowPHOTON---G4QInelastic::PSDoIt: Called for zero Cross-section"<<G4endl;
+#endif
+    //Do Nothing Action insead of the reaction
+    aParticleChange.ProposeEnergy(kinEnergy);
+    aParticleChange.ProposeLocalEnergyDeposit(0.);
+    aParticleChange.ProposeMomentumDirection(dir);
+    aParticleChange.ProposeTrackStatus(fAlive);
+    return G4VDiscreteProcess::PostStepDoIt(track,step);
+  }
   if(N<0)
   {
@@ -766,9 +780,4 @@
   G4cout<<"G4QInelastic::PostStepDoIt: N="<<N<<" for element with Z="<<Z<<G4endl;
 #endif
-  if(N<0)
-  {
-    G4cerr<<"---Warning---G4QInelastic::PostStepDoIt:Element with N="<<N<< G4endl;
-    return 0;
-  }
   aParticleChange.Initialize(track);
   G4double weight = track.GetWeight();
@@ -808,6 +817,4 @@
     G4cout<<"G4QInelastic::PostStDoIt:startSt="<<aParticleChange.GetTrackStatus()<<G4endl;
 #endif
-    G4double kinEnergy= projHadron->GetKineticEnergy();
-    G4ParticleMomentum dir = projHadron->GetMomentumDirection();
     G4VQCrossSection* CSmanager=G4QElectronNuclearCrossSection::GetPointer();
     G4double ml=me;
@@ -829,4 +836,8 @@
     G4double xSec=CSmanager->GetCrossSection(false,Momentum,Z,N,aProjPDG);// Recalculate XS
     // @@ check a possibility to separate p, n, or alpha (!)
+    if(Z==1 && !N && Momentum<150.) xSec=0.;
+#ifdef debug
+    G4cout<<"-Forse-G4QCol::PStDoIt: P="<<Momentum<<",PDG="<<projPDG<<",xS="<<xSec<<G4endl;
+#endif
     if(xSec <= 0.) // The cross-section is 0 -> Do Nothing
     {
@@ -1942,5 +1953,5 @@
   //G4double eWei=1.;
   // @@@@@@@@@@@@@@ Temporary for the testing purposes --- End  
-#ifdef ldebug
+#ifdef debug
   G4cout<<"^^G4QInelastic::PostStepDoIt: projPDG="<<projPDG<<", targPDG="<<targPDG<<G4endl;
 #endif
@@ -1952,5 +1963,5 @@
     G4QIonIonCollision IonIon(projNuc, targNuc);  // Define deep-inelastic ion-ion reaction
 #ifdef debug
-    G4cout<<"G4QCol::PStDoIt: ProjNuc="<<projPDG<<proj4M<<", TargNuc="<<targPDG<<G4endl;
+    G4cout<<"G4QInel::PStDoIt: ProjNuc="<<projPDG<<proj4M<<", TargNuc="<<targPDG<<G4endl;
 #endif
     try {output = IonIon.Fragment();}                     // DINR AA interaction products
@@ -1963,9 +1974,15 @@
   else                                                    // --> A projectile hadron
   {
+    // *** Let to produce elastic final states for acceleration ***
+#ifdef debug
     G4int maxCn=7;
+#endif
     G4int atCn=0;                                         // Attempts counter
     G4bool inel=false;
-    while (inel==false && ++atCn <= maxCn)                // To evoid elastic final state
-    {
+    //while (inel==false && ++atCn <= maxCn)                // To evoid elastic final state
+    //{
+#ifdef debug
+      G4cout<<"G4QInelastic::PStDoIt: atCn="<<atCn<<" <= maxCn="<<maxCn<<G4endl;
+#endif
       G4int outN=output->size();
       if(outN)                                            // The output is not empty
@@ -1976,14 +1993,28 @@
       delete output;                                      // Before the new output creation
       const G4QHadron projH(projPDG,proj4M);              // Define the projectile particle
-      G4QFragmentation DINR(targNuc, projH);              // Define deep-inel. h-A reaction
-#ifdef debug
-      G4cout<<"G4QInelastic::PStDoIt:Proj="<<projPDG<<proj4M<<",TargNuc="<<targPDG<<G4endl;
-#endif
-      try {output = DINR.Fragment();}                     // DINR hA fragmentation
-      catch (G4QException& error)
-      {
-        G4cerr<<"***G4QInelastic::PostStepDoIt: G4QE Exception is catched in hA"<<G4endl;
-        G4Exception("G4QInelastic::PostStepDoIt:","27",FatalException,"CHIPS hA crash");
-      }
+#ifdef debug
+      G4cout<<"G4QInelastic::PStDoIt: Before Fragmentation"<<G4endl;
+#endif
+      //if(aProjPDG==22 && projPDG==22 && proj4M.m2()<.01 && proj4M.e()<150.)
+      //{
+      //  G4QHadron* tgH= new G4QHadron(targNuc.GetPDGCode(),targNuc.Get4Momentum());
+      //  G4QHadron* prH= new G4QHadron(projPDG,proj4M);
+      //  output = new G4QHadronVector();
+      //  output->push_back(prH);
+      //  output->push_back(tgH);
+      //}
+      //else
+      //{
+        G4QFragmentation DINR(targNuc, projH);            // Define deep-inel. h-A reaction
+#ifdef debug
+        G4cout<<"G4QInelastic::PStDoIt:Proj="<<projPDG<<proj4M<<",TgNuc="<<targPDG<<G4endl;
+#endif
+        try {output = DINR.Fragment();}                   // DINR hA fragmentation
+        catch (G4QException& error)
+        {
+          G4cerr<<"***G4QInelastic::PostStepDoIt: G4QE Exception is catched in hA"<<G4endl;
+          G4Exception("G4QInelastic::PostStepDoIt:","27",FatalException,"CHIPS hA crash");
+        }
+	//}
       outN=output->size();
 #ifdef debug
@@ -2001,5 +2032,5 @@
       if(atCn==maxCn) G4cout<<"-Warn-G4QCol::PostStDoIt:mAt="<<atCn<<" is reached"<<G4endl;
 #endif
-    }
+    //}
   }
   //
@@ -2087,4 +2118,19 @@
     else if(PDGCode==91999999) theDefinition = G4XiZero::XiZero();
     else if(PDGCode==92998999) theDefinition = G4OmegaMinus::OmegaMinus();
+    else if(PDGCode==90000000)
+    {
+#ifdef pdebug
+      G4cout<<"-Warning-G4QInelastic::PostStepDoIt:Vacuum PDG="<<PDGCode
+            <<", 4Mom="<<hadr->Get4Momentum()<<G4endl;
+#endif
+      theDefinition = G4Gamma::Gamma();
+      G4double hM2=(hadr->Get4Momentum()).m2();
+      if(std::fabs(hM2)>.01) G4cout<<"-Warning-G4QInel::PoStDoIt:90000000M2="<<hM2<<G4endl;
+      else if(hadr->Get4Momentum()==vacuum4M)
+      {
+        delete hadr;
+        continue;
+      }
+    }
     else if(PDGCode >80000000) // Defines hypernuclei as normal nuclei (N=N+S Correction!)
     {
@@ -2109,7 +2155,7 @@
     if(!theDefinition)
     { // !! Commenting of this print costs days of searching for E/mom nonconservation !!
-      //#ifdef debug
-      G4cout<<"---Warning---G4QInelastic::PostStepDoIt: drop PDG="<<PDGCode<<G4endl;
-      //#endif
+      if(PDGCode!=90000000 || hadr->Get4Momentum()!=vacuum4M)
+        G4cout<<"---Warning---G4QInelastic::PostStepDoIt: drop PDG="<<PDGCode<<", 4Mom="
+              <<hadr->Get4Momentum()<<G4endl;
       delete hadr;
       continue;
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QIonIonElastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QIonIonElastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QIonIonElastic.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QIonIonElastic.cc,v 1.3 2010/06/10 10:16:10 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QIonIonElastic class -----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QLowEnergy.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QLowEnergy.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QLowEnergy.cc	(revision 1337)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QLowEnergy.cc,v 1.4 2010/06/07 15:19:55 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// $Id: G4QLowEnergy.cc,v 1.5 2010/06/14 16:11:27 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QLowEnergy class -----------------
@@ -254,4 +254,7 @@
   static const G4ThreeVector zeroMom(0.,0.,0.);
   static G4ParticleDefinition* aGamma    = G4Gamma::Gamma();
+  static G4ParticleDefinition* aPiZero   = G4PionZero::PionZero();
+  static G4ParticleDefinition* aPiPlus   = G4PionPlus::PionPlus();
+  static G4ParticleDefinition* aPiMinus  = G4PionMinus::PionMinus();
   static G4ParticleDefinition* aProton   = G4Proton::Proton();
   static G4ParticleDefinition* aNeutron  = G4Neutron::Neutron();
@@ -1853,5 +1856,5 @@
     G4QHadron* rHadron = new G4QHadron(90000000+999*rZ+rA,res4Mom); // Input hadron-nucleus
     G4QHadronVector* evaHV = new G4QHadronVector; // Output vector of hadrons (delete!)
-    Nuc.EvaporateNucleus(rHadron, evaHV);
+    Nuc.EvaporateNucleus(rHadron, evaHV); // here a pion can appear !
     G4int nOut=evaHV->size();
     for(G4int i=0; i<nOut; i++)
@@ -1868,4 +1871,7 @@
       else if(hPDG==91000000 || hPDG==3122) theDefinition = aLambda;
       else if(hPDG==     22 )               theDefinition = aGamma;
+      else if(hPDG==     111)               theDefinition = aPiZero;
+      else if(hPDG==     211)               theDefinition = aPiPlus;
+      else if(hPDG==    -211)               theDefinition = aPiMinus;
       else
       {
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QPDGToG4Particle.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QPDGToG4Particle.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QPDGToG4Particle.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QPDGToG4Particle.cc,v 1.1 2009/11/17 10:36:55 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ---------------- G4QG4ToG4Particle singletone class ------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QSynchRad.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QSynchRad.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QSynchRad.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QSynchRad.cc,v 1.1 2009/11/17 10:36:55 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Created by Mikhail Kosov 6-Nov-2009
Index: trunk/source/processes/hadronic/models/coherent_elastic/History
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/History	(revision 1326)
+++ trunk/source/processes/hadronic/models/coherent_elastic/History	(revision 1337)
@@ -14,4 +14,9 @@
      * Please list in reverse chronological order (last date on top)
      ---------------------------------------------------------------
+
+15 June 2010 - V.Ivanchenko (hadr-cohe-V09-03-02)
+------------------------------------------------------
+- G4UHadronElasticProcess - fixed CHIPS warning for Cu, due to wrong
+  isotope sected (#bug report of ALICE)
 
 26 January 2010 - M.Kosov (hadr-cohe-V09-03-01)
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4CHIPSElastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4CHIPSElastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4CHIPSElastic.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CHIPSElastic.hh,v 1.4 2010/01/13 15:42:06 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Geant4 Header : G4CHIPSElastic
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4ChargeExchange.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4ChargeExchange.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4ChargeExchange.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ChargeExchange.hh,v 1.6 2009/09/22 16:21:46 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4ChargeExchangeProcess.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4ChargeExchangeProcess.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4ChargeExchangeProcess.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ChargeExchangeProcess.hh,v 1.3 2008/11/20 12:35:19 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4DiffuseElastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4DiffuseElastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4DiffuseElastic.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DiffuseElastic.hh,v 1.17 2009/09/22 16:21:46 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4ElasticHadrNucleusHE.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4ElasticHadrNucleusHE.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4ElasticHadrNucleusHE.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ElasticHadrNucleusHE.hh,v 1.47 2009/09/22 16:21:46 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // G4ElasticHadrNucleusHe.hh
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4HadronElastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4HadronElastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4HadronElastic.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HadronElastic.hh,v 1.32 2010/01/13 15:42:06 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4NuclNuclDiffuseElastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4NuclNuclDiffuseElastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4NuclNuclDiffuseElastic.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NuclNuclDiffuseElastic.hh,v 1.8 2009/04/10 13:22:25 grichine Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4UHadronElasticProcess.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4UHadronElasticProcess.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4UHadronElasticProcess.hh	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4UHadronElasticProcess.hh,v 1.11 2010/01/13 15:42:06 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// $Id: G4UHadronElasticProcess.hh,v 1.12 2010/06/15 15:24:34 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Geant4 Hadron Elastic Scattering Process -- header file
@@ -47,4 +47,5 @@
 #include "G4HadronicProcess.hh"
 #include "G4Nucleus.hh"
+#include "G4StableIsotopes.hh"
 
 class G4VQCrossSection;
@@ -81,4 +82,5 @@
 private:
 
+  G4StableIsotopes            theDefaultIsotopes;
   G4VQCrossSection*           pCManager;
   G4VQCrossSection*           nCManager;
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4VHadronElastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4VHadronElastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4VHadronElastic.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VHadronElastic.hh,v 1.4 2009/09/23 14:37:44 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Geant4 Header : G4VHadronElastic
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4WHadronElasticProcess.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4WHadronElasticProcess.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4WHadronElasticProcess.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4WHadronElasticProcess.hh,v 1.2 2009/09/22 17:35:07 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Geant4 Hadron Elastic Scattering Process -- header file
Index: trunk/source/processes/hadronic/models/coherent_elastic/src/G4CHIPSElastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/src/G4CHIPSElastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/coherent_elastic/src/G4CHIPSElastic.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CHIPSElastic.cc,v 1.4 2010/01/13 15:42:06 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //---------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/coherent_elastic/src/G4ChargeExchange.cc
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/src/G4ChargeExchange.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/coherent_elastic/src/G4ChargeExchange.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ChargeExchange.cc,v 1.16 2009/09/22 16:21:46 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/src/G4ChargeExchangeProcess.cc
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/src/G4ChargeExchangeProcess.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/coherent_elastic/src/G4ChargeExchangeProcess.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ChargeExchangeProcess.cc,v 1.15 2008/11/27 16:43:00 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/src/G4DiffuseElastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/src/G4DiffuseElastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/coherent_elastic/src/G4DiffuseElastic.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DiffuseElastic.cc,v 1.25 2009/09/22 16:21:46 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/src/G4ElasticHadrNucleusHE.cc
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/src/G4ElasticHadrNucleusHE.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/coherent_elastic/src/G4ElasticHadrNucleusHE.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ElasticHadrNucleusHE.cc,v 1.81 2009/09/22 16:21:46 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/src/G4HadronElastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/src/G4HadronElastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/coherent_elastic/src/G4HadronElastic.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HadronElastic.cc,v 1.66 2010/01/13 15:42:06 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
